Bug 365731 - ScrLk led is always off on xorg.
ScrLk led is always off on xorg.
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-keyboard (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-04 06:32 EST by sangu
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-06 05:40:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 12434 None None None Never

  None (edit)
Description sangu 2007-11-04 06:32:02 EST
Description of problem:
ScrLk led is always off on xorg.
Then Scrlk led works well on console.
$ xev
KeyPress event, serial 32, synthetic NO, window 0x4a00001,
    root 0x1a6, subw 0x0, time 174744285, (170,-11), root:(178,702),
    state 0x10, keycode 78 (keysym 0xff14, Scroll_Lock), same_screen YES,
    XLookupString gives 0 bytes: 
    XmbLookupString gives 0 bytes: 
    XFilterEvent returns: False

KeyRelease event, serial 32, synthetic NO, window 0x4a00001,
    root 0x1a6, subw 0x0, time 174744461, (170,-11), root:(178,702),
    state 0x10, keycode 78 (keysym 0xff14, Scroll_Lock), same_screen YES,
    XLookupString gives 0 bytes: 
    XFilterEvent returns: False

$ showkey
keycode 70 press
keycode 70 release

Version-Release number of selected component (if applicable):
1.2.2-2.fc8

How reproducible:
always

Steps to Reproduce:
1. click ScrLk key
2.
3.
  
Actual results:


Expected results:


Additional info:
When doing "xset led on" on gnome-terminal, ScrLk led is on.

$cat /proc/bus/input
[...]
I: Bus=0003 Vendor=045e Product=00db Version=0111
N: Name="Microsoft Natural� Ergonomic Keyboard 4000"
P: Phys=usb-0000:00:02.0-3/input1
S: Sysfs=/class/input/input3
U: Uniq=
H: Handlers=kbd event3 
B: EV=10000f
B: KEY=7fff ac3027 bf004444 0 0 1 10f80 8a37c407 ffe77bfa d9715fff febeffdf
ffefffff ffffffff fffffffe
B: REL=40
B: ABS=1 0
Comment 1 Matěj Cepl 2007-11-06 05:40:59 EST
We found that this bug has been already registered in the upstream database
(https://bugs.freedesktop.org/show_bug.cgi?id=12434) and believe that it is more
appropriate to let it be resolved upstream.

Red Hat will continue to track the issue in the centralized upstream bug
tracker, and will review any bug fixes that become available for consideration
in future updates.

Thank you for the bug report.

Note You need to log in before you can comment on or make changes to this bug.